# Generated by Django 4.1.7 on 2023-03-20 14:08

from django.db import migrations, models


def fill_fields(apps, schema_editor):
    Volunteer = apps.get_model("volunteers", "Volunteer")
    for volunteer in Volunteer.objects.all().select_related("application"):
        volunteer.applied_at = volunteer.application.created
        volunteer.joined_at = volunteer.application.accepted
        volunteer.cv = volunteer.application.cv_file
        volunteer.motivation = volunteer.application.motivation
        volunteer.qualification = volunteer.application.qualification
        volunteer.save()


class Migration(migrations.Migration):
    dependencies = [
        ("volunteers", "0034_delete_and_recreate_rankrelateddocuments"),
    ]

    operations = [
        migrations.AddField(
            model_name="volunteer",
            name="applied_at",
            # Create field None-able for now, we'll undo that later
            field=models.DateTimeField(default=None, null=True),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="volunteer",
            name="joined_at",
            field=models.DateTimeField(null=True),
        ),
        migrations.AddField(
            model_name="volunteer",
            name="cv",
            field=models.FileField(
                blank=True, null=True, upload_to="uploadedFiles/uploadedCVs"
            ),
        ),
        migrations.AddField(
            model_name="volunteer",
            name="motivation",
            field=models.TextField(blank=True),
        ),
        migrations.AddField(
            model_name="volunteer",
            name="qualification",
            field=models.TextField(blank=True),
        ),
        migrations.RunPython(fill_fields),
        # Set field non-nullable now that it is filled
        migrations.AlterField(
            model_name="volunteer",
            name="applied_at",
            field=models.DateTimeField(),
        ),
    ]
